/******************************************************************************

This file is part of the source code package for the paper:

Stylizing Animation by Example
by Pierre Benard, Forrester Cole, Michael Kass, Igor Mordatch, James Hegarty, 
Martin Sebastian Senn, Kurt Fleischer, Davide Pesare, Katherine Breeden
Pixar Technical Memo #13-03 (presented at SIGGRAPH 2013)

The original paper, source, and data are available here:

graphics.pixar.com/library/ByExampleStylization/

Copyright (c) 2013 by Disney-Pixar

Permission is hereby granted to use this software solely for 
non-commercial applications and purposes including academic or 
industrial research, evaluation and not-for-profit media
production.  All other rights are retained by Pixar.  For use 
for or in connection with commercial applications and
purposes, including without limitation in or in connection 
with software products offered for sale or for-profit media
production, please contact Pixar at tech-licensing@pixar.com.


******************************************************************************/

#ifndef CUDAHOSTUTIL_H
#define CUDAHOSTUTIL_H

#if _MSC_VER
#define snprintf sprintf_s
#define log2f(X) logf(X)/logf(2)
#endif

void checkCUDAError(const char *msg);
void checkCUDAError(const char *msg, const char *name);

// GL helper functions
void reportGLError(const char* msg = "");
void renderTexturedQuad(float sBound, float tBound);
void renderTexturedQuad(float tBound);

#endif // CUDAHOSTUTIL_H
